Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## au.com.redhillconsulting.simian
Class SimianCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.AbstractFileSetCheck
                  au.com.redhillconsulting.simian.SimianCheck

All Implemented Interfaces:
  com.puppycrawl.tools.checkstyle.api.Configurable, com.puppycrawl.tools.checkstyle.api.Contextualizable, com.puppycrawl.tools.checkstyle.api.FileSetCheck

    public class SimianCheck

extends com.puppycrawl.tools.checkstyle.api.AbstractFileSetCheck

Checkstyle Plugin.

Version:
  $Id: SimianCheck.java 3019 2007-11-08 09:59:10Z haruki_zaemon $
Author:
  Simon Harris

Constructor Summary
`SimianCheck()`

Method Summary
`void` | `process(java.io.File[] files)`
`void` | `setBalanceCurlyBraces(boolean enable)`
`void` | `setBalanceParentheses(boolean enable)`
`void` | `setBalanceSquareBrackets(boolean enable)`
`void` | `setFailOnDuplication(boolean enable)`
`void` | `setIgnoreBlocks(java.lang.String markers)`
`void` | `setIgnoreCharacterCase(boolean enable)`
`void` | `setIgnoreCharacters(boolean enable)`
`void` | `setIgnoreCurlyBraces(boolean enable)`
`void` | `setIgnoreIdentifierCase(boolean enable)`
`void` | `setIgnoreIdentifiers(boolean enable)`
`void` | `setIgnoreLiterals(boolean enable)`
`void` | `setIgnoreModifiers(boolean enable)`
`void` | `setIgnoreNumbers(boolean enable)`
`void` | `setIgnoreRegions(boolean enable)`
`void` | `setIgnoreStringCase(boolean enable)`
`void` | `setIgnoreStrings(boolean enable)`
`void` | `setIgnoreSubtypeNames(boolean enable)`
`void` | `setIgnoreVariableNames(boolean enable)`
`void` | `setLanguage(java.lang.String language)`
`void` | `setThreshold(int threshold)`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractFileSetCheck
`destroy, setFileExtensions, setMessageDispatcher`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getSeverity, getSeverityLevel, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.puppycrawl.tools.checkstyle.api.Configurable
`configure`

Methods inherited from interface com.puppycrawl.tools.checkstyle.api.Contextualizable
`contextualize`

Constructor Detail

### SimianCheck

    public SimianCheck()

Method Detail

### setFailOnDuplication

    public void setFailOnDuplication(boolean enable)

### setThreshold

    public void setThreshold(int threshold)

### setIgnoreBlocks

    public void setIgnoreBlocks(java.lang.String markers)

### setLanguage

    public void setLanguage(java.lang.String language)

### setIgnoreCurlyBraces

    public void setIgnoreCurlyBraces(boolean enable)

### setIgnoreLiterals

    public void setIgnoreLiterals(boolean enable)

### setIgnoreCharacters

    public void setIgnoreCharacters(boolean enable)

### setIgnoreCharacterCase

    public void setIgnoreCharacterCase(boolean enable)

### setIgnoreStrings

    public void setIgnoreStrings(boolean enable)

### setIgnoreStringCase

    public void setIgnoreStringCase(boolean enable)

### setIgnoreNumbers

    public void setIgnoreNumbers(boolean enable)

### setIgnoreSubtypeNames

    public void setIgnoreSubtypeNames(boolean enable)

### setIgnoreModifiers

    public void setIgnoreModifiers(boolean enable)

### setBalanceParentheses

    public void setBalanceParentheses(boolean enable)

### setBalanceSquareBrackets

    public void setBalanceSquareBrackets(boolean enable)

### setBalanceCurlyBraces

    public void setBalanceCurlyBraces(boolean enable)

### setIgnoreRegions

    public void setIgnoreRegions(boolean enable)

### setIgnoreIdentifierCase

    public void setIgnoreIdentifierCase(boolean enable)

### setIgnoreVariableNames

    public void setIgnoreVariableNames(boolean enable)

### setIgnoreIdentifiers

    public void setIgnoreIdentifiers(boolean enable)

### process

    public void process(java.io.File[] files)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-07 RedHill Consulting Pty. Ltd. All rights reserved.